package com.jasamedika.medifirst2000.dao.custom;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.dao.custom.base.CoreDao;
import com.jasamedika.medifirst2000.entities.B3DaftarBahanBerbahaya;
import com.jasamedika.medifirst2000.entities.B3RuanganInputData;

public interface B3RuanganInputDataDaoCustom extends CoreDao<B3RuanganInputData>{
	public List<Map<String, Object>> getRuangan();
	public List<Map<String, Object>> getB3StokGlobal();
	public List<Map<String, Object>> getB3BahanRuangan(Integer ruanganId);
	public Integer updateB3DaftarBahanBerbahaya(B3DaftarBahanBerbahaya model);
	public void deleteB3DaftarBahanBerbahaya(String noRec);
}
